Bug 1124880 - [fuse] java.io.FileNotFoundException (FNF) during time period with unrecovered disk errors
Summary: [fuse] java.io.FileNotFoundException (FNF) during time period with unrecovere...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: pre-dev-freeze
: ---
Assignee: Carlos Maiolino
QA Contact: Zorro Lang
URL:
Whiteboard:
Depends On:
Blocks: 1127702 1142355
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:29 UTC by Diane Feddema
Modified: 2015-03-05 12:36 UTC (History)
3 users (show)

Fixed In Version: kernel-3.10.0-191.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1127702 (view as bug list)
Environment:
Last Closed: 2015-03-05 12:36:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0290 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-03-05 16:13:58 UTC

Description Diane Feddema 2014-07-30 14:29:21 UTC
Description of problem:
We experienced very infrequent FNF errors (3 occurrences in one month period) when running hadoop benchmarks: Wordcount, TestDFSIO read and Pi Estimator, on glusterfs.  During the time period when the errors occurred we had a disk fail in our RAID6 array which the gluster volume resides on. Since we replaced the downed disk we have not been able to reproduce this problem.  


Version-Release number of selected component (if applicable):


How reproducible: Cannot be reproduced at this time


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Anand Avati 2014-08-06 18:15:02 UTC
Note about the comment about disk replacement - the actual 'no such file or directory' (or 'File not Found' in Java lingo) seems not to be caused by the disk failure/replacement, but probably just impacted probability with timing/races because of delays.

Comment 5 Anand Avati 2014-08-07 17:59:09 UTC
A correction: 'File not Found' is a generic exception Java throws. It was found during debugging that the system errno was ESTALE and not ENOENT (Java just throws FNF exception even for ESTALE). Hopefully that clarifies the intention of the patch.

Comment 7 Jarod Wilson 2014-10-22 16:18:52 UTC
Patch(es) available on kernel-3.10.0-191.el7

Comment 10 Zorro Lang 2015-01-08 03:26:09 UTC
Test failed on kernel-3.10.0-190.el7, got failed message:
/mnt/one/file: Stale file handle

Test passed on kernel3.10.0-220.el7

Comment 12 errata-xmlrpc 2015-03-05 12:36:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0290.html


Note You need to log in before you can comment on or make changes to this bug.